[Shr-User] Opkg incompatible with suspend

Glenn glenn.mh.dk at gmail.com
Fri Dec 11 17:16:14 CET 2009

At 15:49 +0100 11/12/09, Sebastian Spaeth wrote:
>On 12/11/09 13:56, Glenn wrote:
>>  For many image eons the opkg seems to be incompatible with suspend:
>>  http://wiki.openmoko.org/wiki/Manuals/SHR#opkg_upgrade_issues
>I just added
>alias opkg="fsoraw -r CPU -- opkg"
>to my /etc/profile.
>This will prevent suspending the Freerunner while upgrading. Just make
>sure fsoraw is installed on your Freerunner (it should be on it by
>default but for some reasons is not).
>The reason why someone objected to making this the default is that then
>opkg will fail if fsoraw fails (e.g. when fsodeviced/frameworkd was not
>started, or after fsodeviced was restarted (and the CPU resource is not
>registered anymore).
>Shr-User mailing list
>Shr-User at lists.shr-project.org

Hi spaetz

It ought to be default for many applications and commands.

If fsoraw is not started, it is be possible to use:

/usr/bin/opkg ...

I have inserted your response in:


More information about the community mailing list